class FileTunelDownload < ApplicationRecord
  belongs_to :file_tunel
  belongs_to :file_tunel_send_id
  
  
  before_create { generate_token() }
  
  def generate_token()
    begin
      self[:token] = SecureRandom.urlsafe_base64
    end while FileTunelDownload.exists?(:token => self[:token])
  end
  
end
