class FileTunelFile < ApplicationRecord
  belongs_to :file_tunel
  
  before_create { generate_token() }
  
  def generate_token()
    begin
      self[:token] = SecureRandom.urlsafe_base64
    end while FileTunelFile.exists?(:token => self[:token])
  end
  
  mount_uploader :file, OdrUploader
  
  validates :file, :presence => true
end
