class FileTunelSend < ApplicationRecord
  belongs_to :file_tunel
  
  before_create { generate_token() }
  
  def generate_token()
    begin
      self[:token] = SecureRandom.urlsafe_base64
    end while FileTunelSend.exists?(:token => self[:token])
  end
end
